Bug 733943 - Evolution doesn't reconnect after suspend/network outage
Summary: Evolution doesn't reconnect after suspend/network outage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 19:39 UTC by Nikolai Maziashvili
Modified: 2012-08-07 19:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:57:42 UTC


Attachments (Terms of Use)

Description Nikolai Maziashvili 2011-08-28 19:39:38 UTC
Description of problem:
When laptop comes from suspend Evolution gives error message "Evolution is currently offline due to a network outage. Evolution will return to online mode once a network connection is established."
But it stays in offline mode for ever. I have to manually set it to "online" mode.

Version-Release number of selected component (if applicable):
F15
evolution 3.0.2-3
evolution-NetworkManager 3.0.2-3
evolution-data-server  3.0.2-1
evolution-exchange   3.0.2.-1


How reproducible:
every time

Steps to Reproduce:
1. setup Evolution email account
2. fetch/send mail to make sure it works
3. disconnect laptop from network (lan/wifi)
4. reconnect laptop to network
5. see if Evolution can send/receive messages.
  
Actual results:
Evolution stays offline

Expected results:
Evolution should automatically reconnect to network and resume expected functionality.

Additional info:

Comment 1 Nikolai Maziashvili 2011-08-29 10:39:38 UTC
Strangely enough sometimes it works and sometimes it doesn't. I will investigate the problem, and reopen the ticket if it becomes clear that problem is not my personal configuration issue.

Comment 2 Milan Crha 2011-08-29 15:15:49 UTC
Thanks for a bug report. I do not think it's complete your configuration issue, as I was about to find a similar bug, which I didn't find. I noticed bug #709614 with request how to improve cooperation between evolution and NetworkManager, but apart of that I didn't find anything close. The thing is that evolution doesn't work well with suspend, and as such it's usually safer to close it before you suspend your machine.

Comment 3 Nikolai Maziashvili 2011-08-29 18:31:28 UTC
I'm reopening this bug. Have retest everything and came to conclusion that there are some issues with evolution network management. And thnx Milan for you comment.

Comment 4 Milan Crha 2011-08-30 06:12:50 UTC
Could you write your steps and expectations, please? Maybe they are covered by the above-mentioned bug.

Comment 5 Nikolai Maziashvili 2011-08-30 06:55:47 UTC
I do not do anything exotic, very simple rather. Open evolution, after working whole day on my laptop i just close the lid put it in suspend and go home.
Next morning open laptop, it connects to network i can browse the web, proceed with my work, but evolution stays in offline mode until i manually put in in online mode.
And there is one more strange issue, when evolution says "due to network outage i'm in offline mode' and i try to put it in online mode, i press "File", but i don't see "Online" i can only see "Offline". The "Online" field is grayed out. So solution is to quit evolution and restart it.

Comment 6 Christopher Beland 2012-03-01 18:27:33 UTC
I just noticed this problem with evolution-3.2.3-1.fc16.x86_64. I unplugged by Ethernet cable (with wifi killed by hardware switch), and Evolution never displayed the "offline mode" icon in the lower left, it kept showing as online.  When I hit F9 to check mail, nothing happened.  I would have expected some sort of notification I couldn't check mail without network connectivity.

Comment 7 Milan Crha 2012-03-02 08:23:26 UTC
Do you have evolution-NetworkManager installed? it makes sure the state is properly propagated from Networkmanager into Evolution, and when it happens then you may see in the status bar of Evolution some activity. If you run evolution from console, then you may also see console messages like "Force online"/"Force offline", which are responses on NetworkManager state changes. Nonetheless, I guess the issue is with respective email providers, which try to disconnect from the server gracefully, which can result in an "infinite" wait for server's response, which will never happen.

Comment 8 Fedora End Of Life 2012-08-07 19:57:44 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.